org.eclipse.viatra.dse.solutionstore

## Class ModelSaverSolutionFoundHandler

- java.lang.Object
- - org.eclipse.viatra.dse.solutionstore.ModelSaverSolutionFoundHandler

- All Implemented Interfaces:
    ISolutionFoundHandler

      public class ModelSaverSolutionFoundHandler
      extends java.lang.Object
      implements ISolutionFoundHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelSaverSolutionFoundHandler()`
    `ModelSaverSolutionFoundHandler(ISolutionNameProvider solutionNameProvider)`
    `ModelSaverSolutionFoundHandler(java.lang.String extension)`
    `ModelSaverSolutionFoundHandler(java.lang.String prefix, java.lang.String extension)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `solutionFound(ThreadContext context, SolutionTrajectory trajectory)` Called when a solution is saved by the `SolutionStore.ISolutionSaver`.
    `void` | `solutionTriedToSave(ThreadContext context, SolutionTrajectory trajectory)` Called when the exploration found a solution but it was not saved because of certain conditions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelSaverSolutionFoundHandler

          public ModelSaverSolutionFoundHandler()

    - #### ModelSaverSolutionFoundHandler

          public ModelSaverSolutionFoundHandler(java.lang.String extension)

    - #### ModelSaverSolutionFoundHandler

          public ModelSaverSolutionFoundHandler(java.lang.String prefix,
                                                java.lang.String extension)

    - #### ModelSaverSolutionFoundHandler

          public ModelSaverSolutionFoundHandler(ISolutionNameProvider solutionNameProvider)

  - ### Method Detail

    - #### solutionTriedToSave

          public void solutionTriedToSave(ThreadContext context,
                                          SolutionTrajectory trajectory)

      Description copied from interface: `ISolutionFoundHandler`
      Called when the exploration found a solution but it was not saved because of certain conditions.
      Specified by:
        `solutionTriedToSave` in interface `ISolutionFoundHandler`

    - #### solutionFound

          public void solutionFound(ThreadContext context,
                                    SolutionTrajectory trajectory)

      Description copied from interface: `ISolutionFoundHandler`
      Called when a solution is saved by the `SolutionStore.ISolutionSaver`. Later, this solution can be omitted from the final set of solutions.
      Specified by:
        `solutionFound` in interface `ISolutionFoundHandler`